petsc-3.6.2 2015-10-02
Report Typos and Errors

# TaoSetInequalityBounds

Sets the upper and lower bounds

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoSetInequalityBounds(Tao tao, Vec IL, Vec IU)

Logically collective on Tao

### Input Parameters

| tao | - the Tao context
| IL | - vector of lower bounds
| IU | - vector of upper bounds

### See Also

TaoSetObjectiveRoutine(), TaoSetHessianRoutine() TaoSetObjectiveAndGradientRoutine()

Level:beginner
Location:src/tao/interface/taosolver_bounds.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/tao/constrained/examples/tutorials/maros.c.html